[Bug build/24142] Git checkout today (27th January 2019) - compilation fails at some rust-exp.c file + YACC

tromey at sourceware dot org sourceware-bugzilla@sourceware.org
Wed Dec 18 15:23:00 GMT 2019


https://sourceware.org/bugzilla/show_bug.cgi?id=24142

Tom Tromey <tromey at sourceware dot org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
                 CC|                            |tromey at sourceware dot org
         Resolution|---                         |INVALID

--- Comment #2 from Tom Tromey <tromey at sourceware dot org> ---
gdb requires a "recent enough" version of either bison or byacc,
because at least one parser in gdb has to be "pure" (aka reentrant).
So, a plain POSIX yacc isn't supported.

Normally, I believe, gdb releases are done such that the end user
doesn't need bison.  However, if you are building out of git, you do.

Given this, I'm going to close this bug as invalid.
Thank you.

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the Gdb-prs mailing list